#include "sims_world.h"
#include "TempletAssemble.h"
#include "PerspectiveView.h"

SimsWorld::SimsWorld(QWidget* parent)
	: QMainWindow(parent),
	_backend_ins(std::make_shared<DeduceFramework>())
{
	ui.setupUi(this);

	auto file = this->menuBar()->addMenu(u8"ļ");
	auto setting = this->menuBar()->addMenu(u8"");
	auto assemble = setting->addAction(u8"͹");
	connect(assemble, &QAction::triggered, [=]() {
		TempletAssemble dia(_backend_ins, this);
		dia.exec();
		});
	auto signature = setting->addAction(u8"͸");
	connect(signature, &QAction::triggered, [=]() {
		PerspectiveView dia(_backend_ins, this);
		dia.exec();
		});

	_backend_ins->init_framework();
}

SimsWorld::~SimsWorld()
{
}
