#include "ActionNodeConfiguration.h"
#include <QGridLayout>

ActionNodeConfiguration::ActionNodeConfiguration(QWidget* p)
	:QFrame(p),
	_execute_select(new QComboBox(this)),
	_variables_input(new QTableView(this)),
	_input_model(new QStandardItemModel(this)),
	_variables_output(new QTableView(this)),
	_output_model(new QStandardItemModel(this))
{
	this->setFrameStyle(QFrame::WinPanel | QFrame::Sunken);
	auto p_layout = new QGridLayout(this);

	p_layout->addWidget(new QLabel(u8"ִͣ", this));
	p_layout->addWidget(_execute_select, 0, 1, 1, 4);
	auto vars_tabw = new QTabWidget(this);
	p_layout->addWidget(vars_tabw, 1, 0, 3, 5);
	vars_tabw->setTabPosition(QTabWidget::West);

	vars_tabw->addTab(_variables_input, u8"");
	_variables_input->setModel(_input_model);
	vars_tabw->addTab(_variables_output, u8"");
	_variables_output->setModel(_output_model);

	p_layout->setColumnStretch(1, 1);

	_input_model->setHorizontalHeaderLabels(QStringList()
		<< u8"" << u8"" << u8"" << u8"ת");
	_output_model->setHorizontalHeaderLabels(QStringList()
		<< u8"" << u8"" << u8"" << u8"ת");
}
